## Upload a file **post** `/v1/files` Upload an Excel spreadsheet file for later processing. Supported formats: - Excel (.xlsx) Maximum file size: 100 MB ### Returns - `File = object { id, content_type, created_at, 3 more }` Response representing an uploaded file. This is returned from POST (upload), GET (retrieve), and list endpoints. - `id: string` The unique identifier for this file. - `content_type: string` The MIME type of the file. - `created_at: string` The timestamp when the file was uploaded. - `file_name: string` The original filename of the uploaded file. - `object: "file"` The object type, which is always 'file'. - `"file"` - `size: number` The size of the file in bytes. ### Example ```http curl https://api.deeptable.com/v1/files \ -H 'Content-Type: multipart/form-data' \ -H "Authorization: Bearer $DEEPTABLE_API_KEY" \ -F 'file=@/path/to/file' ``` #### Response ```json { "id": "file_01kfxgjd94fn9stqm414vjb0s8", "content_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", "created_at": "2024-01-15T10:30:00Z", "file_name": "financial_report.xlsx", "object": "file", "size": 1048576 } ```